/***********************************************************************/
/*                                                                     */
/*  FILE        :hwsetup.c                                             */
/*  DATE        :Wed, Jun 02, 2004                                     */
/*  DESCRIPTION :Hardware Setup file                                   */
/*  CPU TYPE    :H8/3067F                                              */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.3.1).     */
/*                                                                     */
/***********************************************************************/
#include "iodefine.h"
#ifdef __cplusplus
extern "C" {
#endif
extern void HardwareSetup();
#ifdef __cplusplus
}
#endif

void HardwareSetup()
{
	P1DDR = 0xff;	/* A7`A0 */
	P2DDR = 0xff;	/* A15`A8 */
	P5DDR = 0x03;	/* enable A17,A16 (mode5,7) */
	P8DDR = 0x0e;	/* /CS1 /CS2 /CS3 */

	PADDR = 0x00;	/* input */
	PBDDR = 0xff;	/* output */
	PBDR.BYTE = 0;
	/*---------------------------------
	/ BSC
	/--------------------------------*/
	/*-----[ /CS1(0x200000) -> SRAM ]-----*/
	BSC.ABWCR.BIT.ABW1 = 0;	/* 16bit bus */
	BSC.ASTCR.BIT.AST1 = 0;	/* 2state */
	BSC.WCR.BIT.W1 = 0;		/* nowait */
	/*-----[ /CS2(0x400000) -> USBN9604 ]-----*/
	BSC.ABWCR.BIT.ABW2 = 0;	/* 16bit bus */
	BSC.ASTCR.BIT.AST2 = 0;	/* 2state */
	BSC.WCR.BIT.W2 = 0;		/* nowait */
	/*-----[ /CS3(0x600000) -> M800AD ]-----*/
	BSC.ABWCR.BIT.ABW3 = 0;	/* 16bit bus */
	BSC.ASTCR.BIT.AST3 = 0;	/* 3state */
	BSC.WCR.BIT.W3 = 0;		/* nowait */
	/*---------------------------------
	/ ITU0:1msec timer
	/--------------------------------*/
	ITU0.TCR.BIT.CCLR = 1;	/* GRAv */
	ITU0.TCR.BIT.CKEG = 0;	/* オGbWJEg */
	ITU0.TCR.BIT.TPSC = 3;	/* CLK8 */
	ITU0.TIOR.BIT.IOA = 0;
	ITU0.TCNT = 0;
	ITU0.GRA = 3072;

	ITU.TISRA.BIT.IMIEA0 = 1;
	ITU.TSTR.BIT.STR0 = 1;
	INTC.IPRA.BIT._ITU0 = 1;
	/*---------------------------------
	/ ITU0:125usec timer(AD restart)
	/--------------------------------*/
	ITU1.TCR.BIT.CCLR = 1;
	ITU1.TCR.BIT.CKEG = 0;
	ITU1.TCR.BIT.TPSC = 3;
	ITU1.TIOR.BIT.IOA = 0;
	ITU1.TCNT = 0;
	ITU1.GRA = 3072/8;

	ITU.TISRA.BIT.IMIEA1 = 1;
	ITU.TSTR.BIT.STR1 = 1;
	INTC.IPRA.BIT._ITU1 = 1;
	/*---------------------------------
	/ SCI1
	/--------------------------------*/
	SCI1.SCR.BYTE = 0;
	SCI1.SCR.BIT.CKE  = 0;	// SCK -> port

	SCI1.SCMR.BYTE = 0;

	SCI1.SMR.BYTE = 0;
	SCI1.SMR.BIT.CA   = 0;	/* [h */
	SCI1.SMR.BIT.CHR  = 0;	/* 8bit charactor */
	SCI1.SMR.BIT.PE   = 0;	/* non parity */
	SCI1.SMR.BIT.OE   = 0;
	SCI1.SMR.BIT.STOP = 0;	/* 1stop bit */
	SCI1.SMR.BIT.MP   = 0;	/* non multi processer */
	SCI1.SMR.BIT.CKS  = 0;	/*  */
	SCI1.BRR = 19;			/* 38400bps */

	INTC.IPRB.BIT._SCI1 = 1;
}
